#!/usr/bin/ruby

$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))

require 'yaml'
require 'galactus'

api_key_file = "#{File.dirname(__FILE__)}/api_keys.yml"

public_key = YAML.load_file(api_key_file)['public_api_key']
private_key = YAML.load_file(api_key_file)['private_api_key']

client = Galactus::Client.new(public_api_key: public_key, private_api_key: private_key)

#puts client.characters['status']
#puts client.characters[:data][:results].size

#puts client.character(1009652)
puts client.character('Spider-Man')
